use rand::{thread_rng, Rng};

const ROW_LEN: usize = 7;
const ROW: [char; ROW_LEN] = ['🍒', '🍊', '🍓', '🍍', '🍇', '🍉', '⭐'];

#[derive(Clone, Copy, Debug)]
pub struct SlotMachine {
    pub picks: [char; 3],
}

impl SlotMachine {
    pub fn new() -> Self {
        Self::default()
    }
}

impl Default for SlotMachine {
    fn default() -> Self {
        let mut rng = thread_rng();
        let mut picks = ['\0', '\0', '\0'];
        picks[0] = ROW[rng.gen_range(0, ROW_LEN)];
        picks[1] = ROW[rng.gen_range(0, ROW_LEN)];
        picks[2] = ROW[rng.gen_range(0, ROW_LEN)];
        SlotMachine { picks }
    }
}
